Awkward Array: include/awkward/common.h File Reference

Loading...
Searching...
No Matches
Classes | Macros | Functions | Variables
common.h File Reference
`#include <cstddef>`
`#include <cstdint>`
`#include <iostream>`
`#include <algorithm>`
`#include <map>`
`#include <vector>`
`#include <mutex>`
`#include <memory>`
`#include <cstring>`

Go to the source code of this file.

## Classes
struct | Error

## Macros
#define | EXPORT_SYMBOL __attribute__((visibility("default")))
#define | ERROR struct Error
#define | QUOTE(x) #x
#define | FILENAME_FOR_EXCEPTIONS(filename, line) std::string("\n\n(https://github.com/scikit-hep/awkward-1.0/blob/" VERSION_INFO "/" filename "#L" #line ")")
#define | FILENAME_FOR_EXCEPTIONS_C(filename, line) ("\n\n(https://github.com/scikit-hep/awkward-1.0/blob/" VERSION_INFO "/" filename "#L" #line ")")
#define | FILENAME_FOR_EXCEPTIONS_CUDA(filename, line) ("\n\n(https://github.com/scikit-hep/awkward-1.0/blob/" QUOTE(VERSION_INFO) "/" filename "#L" #line ")")
#define | EXPORT_TEMPLATE_INST EXPORT_SYMBOL
#define | LIBAWKWARD_EXPORT_SYMBOL

## Functions
struct Error | success ()
struct Error | failure (const char *str, int64_t identity, int64_t attempt, const char *filename)
struct Error | failure_pass_through (const char *str, int64_t identity, int64_t attempt, const char *filename)

## Variables
const int8_t | kMaxInt8 = 127
const uint8_t | kMaxUInt8 = 255
const int32_t | kMaxInt32 = 2147483647
const uint32_t | kMaxUInt32 = 4294967295
const int64_t | kMaxInt64 = 9223372036854775806
const int64_t | kSliceNone = kMaxInt64 + 1
const int64_t | kMaxLevels = 48

## Macro Definition Documentation

## ◆ ERROR

#define ERROR struct Error

## ◆ EXPORT_SYMBOL

#define EXPORT_SYMBOL __attribute__((visibility("default")))

## ◆ EXPORT_TEMPLATE_INST

#define EXPORT_TEMPLATE_INST EXPORT_SYMBOL

## ◆ FILENAME_FOR_EXCEPTIONS

#define FILENAME_FOR_EXCEPTIONS | ( |  | filename,
|  |  | line
| ) |  | std::string("\n\n(https://github.com/scikit-hep/awkward-1.0/blob/" VERSION_INFO "/" filename "#L" #line ")")

## ◆ FILENAME_FOR_EXCEPTIONS_C

#define FILENAME_FOR_EXCEPTIONS_C | ( |  | filename,
|  |  | line
| ) |  | ("\n\n(https://github.com/scikit-hep/awkward-1.0/blob/" VERSION_INFO "/" filename "#L" #line ")")

## ◆ FILENAME_FOR_EXCEPTIONS_CUDA

#define FILENAME_FOR_EXCEPTIONS_CUDA | ( |  | filename,
|  |  | line
| ) |  | ("\n\n(https://github.com/scikit-hep/awkward-1.0/blob/" QUOTE(VERSION_INFO) "/" filename "#L" #line ")")

## ◆ LIBAWKWARD_EXPORT_SYMBOL

#define LIBAWKWARD_EXPORT_SYMBOL

## ◆ QUOTE

#define QUOTE | ( |  | x | ) | #x

## Function Documentation

## ◆ failure()

struct Error failure | ( | const char * | str,
|  | int64_t | identity,
|  | int64_t | attempt,
|  | const char * | filename
| ) |  |
| inline

## ◆ failure_pass_through()

struct Error failure_pass_through | ( | const char * | str,
|  | int64_t | identity,
|  | int64_t | attempt,
|  | const char * | filename
| ) |  |
| inline

## ◆ success()

struct Error success | ( |  | ) |
| inline

## Variable Documentation

## ◆ kMaxInt32

const int32_t kMaxInt32 = 2147483647

## ◆ kMaxInt64

const int64_t kMaxInt64 = 9223372036854775806

## ◆ kMaxInt8

const int8_t kMaxInt8 = 127

## ◆ kMaxLevels

const int64_t kMaxLevels = 48

## ◆ kMaxUInt32

const uint32_t kMaxUInt32 = 4294967295

## ◆ kMaxUInt8

const uint8_t kMaxUInt8 = 255

## ◆ kSliceNone

const int64_t kSliceNone = kMaxInt64 + 1